# SpecialAPI's Quality of Life
A mod that adds various quality of life changes to Enter the Gungeon. They're all configurable.

# Misc Changes
These changes only need an on/off config:
 * Rat Steals Ammo (default: false) - when not enabled, the rat will no longer steal ammo.
 * Rat Steals Armor (default: false) - when not enabled, the rat will no longer steal armor.
 * Disable Explosion Queue (default: true) - when enabled, the explsion queue will be disabled, causing all explosions to happen instantly.
 * Sprun Tells the Trigger (default: true) - when enabled, the sprun will say the current trigger when picked up.
 * Enable Dual Gun Refill (default: true) - when enabled, picking up ammo when dual wielding will refill both guns. Picking up spread ammo still refills 25% max ammo of other guns, but now the secondary gun will be refilled by 50% just like the primary one.

# High Dragunfire Buff
Any of these changes can be configured:
 * High Dragunfire Buff Enabled (default: true) - when enabled, all of the changes in this config category will apply to the High Dragunfire. Otherwise, it will be reset to its default stats.
 * Max Ammo (default: 1200, vanilla: 600) - the new max ammo for High Dragunfire.
 * Reload Time (default: 0.8, vanilla: 1.6) - the new reload time for High Dragunfire (in seconds).
 * Fire Rate (default: 0.025, vanilla: 0.0666666) - the new cooldown time between High Dragunfire's shots (in seconds).
 * Projectile Damage (default: 10, vanilla: 5) - the new damage for High Dragunfire's projectiles.
 * Projectile Knockback (default: 9, vanilla: 27) - the new knockback force for High Dragunfire's projectiles.
 * Projectile Fire Chance (default: 100, vanilla: 8) - the new % chance for High Dragunfire's projectiles to apply fire.
 * Break Damage Caps (default: true, vanilla: false) - when enabled, High Dragunfire's projectiles will break both the damage cap and the boss DPS cap.
 * Infinite Penetration (default: true, vanilla: false) - when enabled, High Dragunfire's projectiles will infinitely pierce enemies and breakables.
 * Pierce Gunjurer Shields (default: true, vanilla: false) - when enabled, Gunjurers will not be able to catch High Dragunfire's projectiles.

# How to install
If you haven't installed BepInEx and/or Mod the Gungeon API, follow its installation guide (linked on Mod the Gungeon API's page: https://enter-the-gungeon.thunderstore.io/package/MtG_API/Mod_the_Gungeon_API/). After you've installed BepInEx, just unzip ModdedMagnet.zip into your BepInEx's `plugins` folder.

Changelog:
 * 1.0.0: release